[arch-commits] Commit in python-pg8000/repos/community-any (PKGBUILD PKGBUILD)

Chih-Hsuan Yen yan12125 at archlinux.org
Sat Jun 20 04:39:51 UTC 2020


    Date: Saturday, June 20, 2020 @ 04:39:50
  Author: yan12125
Revision: 647986

archrelease: copy trunk to community-any

Added:
  python-pg8000/repos/community-any/PKGBUILD
    (from rev 647985, python-pg8000/trunk/PKGBUILD)
Deleted:
  python-pg8000/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   65 +++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 40 insertions(+), 25 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-06-20 04:39:37 UTC (rev 647985)
+++ PKGBUILD	2020-06-20 04:39:50 UTC (rev 647986)
@@ -1,25 +0,0 @@
-# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
-# Contributor: quomoow <quomoow at gmail.com>
-
-pkgname=python-pg8000
-pkgver=1.15.2
-pkgrel=1
-pkgdesc="Pure-Python PostgreSQL database driver, DB-API compatible"
-arch=(any)
-url='https://github.com/tlocke/pg8000'
-license=(BSD)
-makedepends=(python-setuptools)
-depends=(python python-scramp)
-source=("https://files.pythonhosted.org/packages/source/p/pg8000/pg8000-$pkgver.tar.gz")
-sha256sums=('eb42ba62fbc048c91d5cf1ac729e0ea4ee329cc526bddafed4e7a8aa6b57fbbb')
-
-build() {
-  cd pg8000-$pkgver
-  python setup.py build
-}
-
-package() {
-  cd pg8000-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
-  install -Dm644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname
-}

Copied: python-pg8000/repos/community-any/PKGBUILD (from rev 647985, python-pg8000/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-06-20 04:39:50 UTC (rev 647986)
@@ -0,0 +1,40 @@
+# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
+# Contributor: quomoow <quomoow at gmail.com>
+
+pkgname=python-pg8000
+pkgver=1.15.3
+pkgrel=1
+pkgdesc="Pure-Python PostgreSQL database driver, DB-API compatible"
+arch=(any)
+url='https://github.com/tlocke/pg8000'
+license=(BSD)
+makedepends=(python-setuptools)
+checkdepends=(python-pytest python-pytz pifpaf postgresql)
+depends=(python python-scramp)
+source=("https://github.com/tlocke/pg8000/archive/$pkgver/pg8000-$pkgver.tar.gz")
+sha256sums=('919793109ac0c02e073eae7a845647658b4eb8967f860a878295150cb0999e5e')
+
+prepare() {
+  cd pg8000-$pkgver
+
+  # Remove upper bounds of dependencies
+  sed --in-place=.orig -r 's#,?<[0-9.]+,?##;s#==([0-9.]+)#>=\1#' setup.py
+  diff -u setup.py{.orig,} || true
+}
+
+build() {
+  cd pg8000-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd pg8000-$pkgver
+  # TODO
+  PYTHONPATH="$PWD" pifpaf run postgresql -- pytest -v test || echo Tests fail!
+}
+
+package() {
+  cd pg8000-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
+  install -Dm644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname
+}



More information about the arch-commits mailing list